Subject: Re: bug#31720: java-bouncycastle: tests fail and freeze

From: Julien Lepiller <[email-masked]>
Date: Tue, 05 Jun 2018 13:34:23 +0200

Le 2018-06-05 12:52, Ricardo Wurmus a écrit :
> The package java-bouncycastle has a failing test suite on core-updates.
> After the first test fails there is no more progress and the build
> eventually times out.
> 
> I have disabled the test suite for now, but we should try to fix this.
> 
> The failing test is “org.bouncycastle.mail.smime.test.AllTests”.
> 
> --
> Ricardo

I've observed this behavior on master: the test fails, build hangs for
some very long time and then resumes and completes. I'm not sure why
there is a failure and how not to run this specific test though.